texinfo-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[5241] Add files not allowed on Windows filesystems to the archive.


From: Patrice Dumas
Subject: [5241] Add files not allowed on Windows filesystems to the archive.
Date: Sat, 16 Mar 2013 15:25:45 +0000

Revision: 5241
          http://svn.sv.gnu.org/viewvc/?view=rev&root=texinfo&revision=5241
Author:   pertusus
Date:     2013-03-16 15:25:44 +0000 (Sat, 16 Mar 2013)
Log Message:
-----------
Add files not allowed on Windows filesystems to the archive.

Modified Paths:
--------------
    trunk/texi2html/test/manage_test_archives.sh

Removed Paths:
-------------
    trunk/texi2html/test/info_coverage/f--ile""\.png
    trunk/texi2html/test/info_coverage/f--ile""\.txt

Deleted: trunk/texi2html/test/info_coverage/f--ile""\.png
===================================================================
(Binary files differ)

Deleted: trunk/texi2html/test/info_coverage/f--ile""\.txt
===================================================================
--- trunk/texi2html/test/info_coverage/f--ile""\.txt    2013-03-16 00:31:30 UTC 
(rev 5240)
+++ trunk/texi2html/test/info_coverage/f--ile""\.txt    2013-03-16 15:25:44 UTC 
(rev 5241)
@@ -1,2 +0,0 @@
-aaa""\
-

Modified: trunk/texi2html/test/manage_test_archives.sh
===================================================================
--- trunk/texi2html/test/manage_test_archives.sh        2013-03-16 00:31:30 UTC 
(rev 5240)
+++ trunk/texi2html/test/manage_test_archives.sh        2013-03-16 15:25:44 UTC 
(rev 5241)
@@ -1,11 +1,15 @@
 #! /bin/sh
 
+set -e
+
 user=pertusus
 
 command=$1
 
+commands_list="(pack/packt2h/sign/signt2h/unpack/get/clean/upload)"
+
 if [ "z$command" = 'z' ]; then
-  echo "Need something to do (pack/packt2h/unpack/get/clean/upload)"
+  echo "Need something to do $commands_list"
   exit 1
 fi
 shift;
@@ -36,7 +40,7 @@
   rm -f $texi2html_tests_name.tar.gz #$manuals.tar.gz
   (
   cd ..
-  tar c --exclude-vcs -z -f test/$texi2html_tests_name.tar.gz test/*/res/ 
test/*/res_all/ test/*/res_info/ test/*/res_html/ test/*/res_docbook/ 
test/*/res_xml/ test/many_input_files/*_res/
+  tar c --exclude-vcs -z -f test/$texi2html_tests_name.tar.gz test/*/res/ 
test/*/res_all/ test/*/res_info/ test/*/res_html/ test/*/res_docbook/ 
test/*/res_xml/ test/many_input_files/*_res/ test/info_coverage/f--ile*
   #tar c --exclude-vcs -z -f test/$manuals.tar.gz test/manuals/*.texi 
test/tar_manual/*.texi test/singular_manual/*.tex* 
test/singular_manual/d2t_singular/
   )
 elif [ $command = 'pack' ]; then
@@ -81,15 +85,18 @@
     fi
   done
   cp -p sectioning/renamednodes.cnf-ref 
sectioning/equivalent_nodes-noderename.cnf
-elif [ $command = 'upload' ]; then
+elif [ $command = 'sign' ]; then
   mkdir -p ../upload
-  #cp -a $texi2html_tests_name.tar.gz upload
-  #gpg -b --use-agent upload/$texi2html_tests_name.tar.gz
   cp -a $tp_tests_name.tar.gz ../upload
   gpg -b --use-agent ../upload/$tp_tests_name.tar.gz
+elif [ $command = 'signt2h' ]; then
+  mkdir -p ../upload
+  cp -a $texi2html_tests_name.tar.gz ../upload
+  gpg -b --use-agent ../upload/$texi2html_tests_name.tar.gz
+elif [ $command = 'upload' ]; then
   rsync -a -essh ../upload/ address@hidden:/releases/texinfo/
 else
-  echo "Unknown command (pack/packt2h/unpack/get/clean/upload)"
+  echo "Unknown command $commands_list"
   exit 1
 fi
 




reply via email to

[Prev in Thread] Current Thread [Next in Thread]